## Index

### Functions

- findById
- login
- loginAnonymously
- obtainTokenForLoggedInCustomer
- register
- remove
- update

## Functions

### findById

- findById(customerId: string, token: string): Promise<Customer>

- - Defined in src/commerce/services/customers.ts:135

  #### Parameters

  - ##### customerId: string

  - ##### token: string

  #### Returns Promise<Customer>

### login

- login(email: string, password: string, token?: undefined | string): Promise<TokenizedSignInResult>

- - Defined in src/commerce/services/customers.ts:84

  #### Parameters

  - ##### email: string

  - ##### password: string

  - ##### Optional token: undefined | string

  #### Returns Promise<TokenizedSignInResult>

### loginAnonymously

- loginAnonymously(): Promise<AnonymousSignInResult>

- - Defined in src/commerce/services/customers.ts:119

  #### Returns Promise<AnonymousSignInResult>

### obtainTokenForLoggedInCustomer

- obtainTokenForLoggedInCustomer(email: string, password: string, loginResult: CustomerSignInResult): Promise<TokenizedSignInResult>

- - Defined in src/commerce/services/customers.ts:56

  #### Parameters

  - ##### email: string

  - ##### password: string

  - ##### loginResult: CustomerSignInResult

  #### Returns Promise<TokenizedSignInResult>

### register

- register(customerData: CustomerSignupDraft, token?: undefined | string): Promise<TokenizedSignInResult>

- - Defined in src/commerce/services/customers.ts:102

  #### Parameters

  - ##### customerData: CustomerSignupDraft

  - ##### Optional token: undefined | string

  #### Returns Promise<TokenizedSignInResult>

### remove

- remove(customerId: string, customerVersion: number, token: string): Promise<Customer>

- - Defined in src/commerce/services/customers.ts:167

  #### Parameters

  - ##### customerId: string

  - ##### customerVersion: number

  - ##### token: string

  #### Returns Promise<Customer>

### update

- update(customerId: string, customerVersion: number, actions: UpdateAction[], token: string): Promise<Customer>

- - Defined in src/commerce/services/customers.ts:148

  #### Parameters

  - ##### customerId: string

  - ##### customerVersion: number

  - ##### actions: UpdateAction[]

  - ##### token: string

  #### Returns Promise<Customer>

Generated using TypeDoc